OGRE: OgreBites::InputListenerChain Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites::InputListenerChain Class Reference
Optional Components » Bites » Input

Chain of multiple InputListeners that acts as a single InputListener. More...

`#include <OgreInput.h>`

Inheritance diagram for OgreBites::InputListenerChain:
[legend]

## Public Member Functions
| InputListenerChain ()
| InputListenerChain (std::vector< InputListener * > chain)
bool | empty () const
void | frameRendered (const Ogre::FrameEvent &evt) override
bool | keyPressed (const KeyboardEvent &evt) override
bool | keyReleased (const KeyboardEvent &evt) override
bool | mouseMoved (const MouseMotionEvent &evt) override
bool | mousePressed (const MouseButtonEvent &evt) override
bool | mouseReleased (const MouseButtonEvent &evt) override
bool | mouseWheelRolled (const MouseWheelEvent &evt) override
InputListenerChain & | operator= (const InputListenerChain &o)
bool | textInput (const TextInputEvent &evt) override
bool | touchMoved (const TouchFingerEvent &evt) override
bool | touchPressed (const TouchFingerEvent &evt) override
bool | touchReleased (const TouchFingerEvent &evt) override
Public Member Functions inherited from OgreBites::InputListener
virtual | ~InputListener ()
virtual bool | axisMoved (const AxisEvent &evt)
virtual bool | buttonPressed (const ButtonEvent &evt)
virtual bool | buttonReleased (const ButtonEvent &evt)
virtual bool | hatMoved (const HatEvent &evt)

## Detailed Description

Chain of multiple InputListeners that acts as a single InputListener.

input events are propagated front to back until a listener returns true

## Constructor & Destructor Documentation

## ◆ InputListenerChain() [1/2]

OgreBites::InputListenerChain::InputListenerChain | ( |  | ) |
| inline

Referenced by operator=().

## ◆ InputListenerChain() [2/2]

OgreBites::InputListenerChain::InputListenerChain | ( | std::vector< InputListener * > | chain | ) |
| inline

## Member Function Documentation

## ◆ empty()

bool OgreBites::InputListenerChain::empty | ( |  | ) | const
| inline

## ◆ operator=()

InputListenerChain & OgreBites::InputListenerChain::operator= | ( | const InputListenerChain & | o | ) |
| inline

References InputListenerChain().

## ◆ frameRendered()

void OgreBites::InputListenerChain::frameRendered | ( | const Ogre::FrameEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ keyPressed()

bool OgreBites::InputListenerChain::keyPressed | ( | const KeyboardEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ keyReleased()

bool OgreBites::InputListenerChain::keyReleased | ( | const KeyboardEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ touchMoved()

bool OgreBites::InputListenerChain::touchMoved | ( | const TouchFingerEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ touchPressed()

bool OgreBites::InputListenerChain::touchPressed | ( | const TouchFingerEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ touchReleased()

bool OgreBites::InputListenerChain::touchReleased | ( | const TouchFingerEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mouseMoved()

bool OgreBites::InputListenerChain::mouseMoved | ( | const MouseMotionEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mouseWheelRolled()

bool OgreBites::InputListenerChain::mouseWheelRolled | ( | const MouseWheelEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mousePressed()

bool OgreBites::InputListenerChain::mousePressed | ( | const MouseButtonEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ mouseReleased()

bool OgreBites::InputListenerChain::mouseReleased | ( | const MouseButtonEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

## ◆ textInput()

bool OgreBites::InputListenerChain::textInput | ( | const TextInputEvent & | evt | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::InputListener.

The documentation for this class was generated from the following file:

- OgreInput.h